Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## tesl
Enum Preemption

    java.lang.Object
      java.lang.Enum<Preemption>
          tesl.Preemption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Preemption>

    public enum Preemption

extends java.lang.Enum<Preemption>

Different kinds of preemption. STRONG preemption preempts a process without letting it execute at the preemption instant. WEAK preemption lets the process execute its behavior at the instant of preemption

Author:
  boulange

Enum Constant Summary
`STRONG`
`WEAK`

Method Summary
`static Preemption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Preemption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRONG

    public static final Preemption STRONG

### WEAK

    public static final Preemption WEAK

Method Detail

### values

    public static Preemption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Preemption c : Preemption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Preemption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD